net.ME1312.SubServers.Bungee.Event

## Class SubCreateEvent

- java.lang.Object
- - net.md_5.bungee.api.plugin.Event
  - - net.ME1312.SubServers.Bungee.Event.SubCreateEvent

All Implemented Interfaces:
  net.md_5.bungee.api.plugin.Cancellable, SubEvent

    public class SubCreateEvent
    extends net.md_5.bungee.api.plugin.Event
    implements SubEvent, net.md_5.bungee.api.plugin.Cancellable

### Constructor Summary

Constructors
Constructor and Description
`SubCreateEvent(java.util.UUID player, Host host, java.lang.String name, SubCreator.ServerType type, Version version, int memory, int port)` Server Create Event

### Method Summary

All Methods Instance Methods Concrete Methods
`Host` `getHost()` Get the Host the SubServer will run on
`int` `getMemory()` Get the Server RAM Amount (in MB)
`java.lang.String` `getName()` Get the name the SubServer will use
`java.util.UUID` `getPlayer()` Gets the player that triggered the Event
`int` `getPort()` Get the Port the Server will use
`SubCreator.ServerType` `getType()` Get the type of Server to create
`Version` `getVersion()` Get the Version the Server will use
`boolean` `isCancelled()` Gets the Cancelled Status
`void` `setCancelled(boolean value)` Sets the Cancelled Status
`void` `setMemory(int value)` Set the Server RAM Amount (in MB)
`void` `setType(SubCreator.ServerType value)` Set the Type of Server to Create
`void` `setVersion(Version value)` Set the Version the Server will use

### Methods inherited from class net.md_5.bungee.api.plugin.Event

`postCall`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SubCreateEvent

    public SubCreateEvent(java.util.UUID player,
                          Host host,
                          java.lang.String name,
                          SubCreator.ServerType type,
                          Version version,
                          int memory,
                          int port)

Server Create Event

Parameters:
  `player` - Player Creating
  `host` - Potential Host
  `name` - Server Name
  `type` - Server Type
  `version` - Server Version
  `memory` - Server RAM Amount
  `port` - Server Port Number

### Method Detail

#### getHost

    public Host getHost()

Get the Host the SubServer will run on

Returns:
  Potential Host

#### getName

    public java.lang.String getName()

Get the name the SubServer will use

Returns:
  SubServer Name

#### getType

    public SubCreator.ServerType getType()

Get the type of Server to create

Returns:
  Server Type

#### setType

    public void setType(SubCreator.ServerType value)

Set the Type of Server to Create

Parameters:
  `value` - Value

#### getVersion

    public Version getVersion()

Get the Version the Server will use

Returns:
  Server Version

#### setVersion

    public void setVersion(Version value)

Set the Version the Server will use

Parameters:
  `value` - Value

#### getMemory

    public int getMemory()

Get the Server RAM Amount (in MB)

Returns:
  RAM Amount

#### setMemory

    public void setMemory(int value)

Set the Server RAM Amount (in MB)

Parameters:
  `value` - Value

#### getPort

    public int getPort()

Get the Port the Server will use

Returns:
  Port Number

#### getPlayer

    public java.util.UUID getPlayer()

Gets the player that triggered the Event

Returns:
  The Player that triggered this Event or null if Console

#### isCancelled

    public boolean isCancelled()

Gets the Cancelled Status

Specified by:
  `isCancelled` in interface `net.md_5.bungee.api.plugin.Cancellable`
Returns:
  Cancelled Status

#### setCancelled

    public void setCancelled(boolean value)

Sets the Cancelled Status

Specified by:
  `setCancelled` in interface `net.md_5.bungee.api.plugin.Cancellable`